Status: Closed   

Priority: Normal   

Assignee: Dominic Cleal   

Category: Packaging   

Target version: 1.12.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3551

  

Description

The older version of Bundler (1.3.5) used on Ubuntu 14.04 is failing to find a compatible version of fog-google due to the two slightly

different requirements in bundler.d/gce.rb and fog's gemspec:

08:38:16 /usr/bin/ruby2.0 /usr/bin/bundle pack --all

08:38:18 Fetching gem metadata from https://rubygems.org/........

08:38:31 Fetching gem metadata from https://rubygems.org/..

08:38:32 Resolving dependencies................

08:38:33 Bundler could not find compatible versions for gem "fog-google":

08:38:33   In Gemfile:

08:38:33     fog (= 1.38.0) ruby depends on

08:38:33       fog-google (<= 0.1.0) ruby

08:38:33 

08:38:33     fog-google (0.3.2)

 The bundler.d/gce.rb specification should just mirror fog's for now for consistency. When fog changes it and we update fog,

bundler.d/gce.rb can be updated in sync.

Related issues:

Related to Foreman - Refactor #8884: Drop Ruby 1.9.3 support Closed 01/09/2015

Associated revisions

Revision 9d3925e1 - 05/26/2016 09:07 AM - Dominic Cleal

fixes #15176 - match fog's pin of fog-google

History

#1 - 05/25/2016 07:49 AM - Dominic Cleal

- Related to Refactor #8884: Drop Ruby 1.9.3 support added

#2 - 05/25/2016 07:50 AM - Dominic Cleal

- Description updated

#3 - 05/25/2016 08:06 AM - Dominic Cleal

- Description updated

#4 - 05/25/2016 08:06 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3551 added

#5 - 05/26/2016 10:02 AM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100
Applied in changeset 9d3925e1226f8393217d78c27e762ce071cf7169.
